﻿namespace wx360
{
    using System;
    using System.Collections;
    using System.Windows.Forms;

    internal class ListViewItemComparer : IComparer
    {
        private int col;

        public ListViewItemComparer()
        {
            this.col = 0;
        }

        public ListViewItemComparer(int column)
        {
            this.col = column;
        }

        public int Compare(object x, object y)
        {
            return string.Compare(((ListViewItem) x).SubItems[this.col].Text, ((ListViewItem) y).SubItems[this.col].Text);
        }
    }
}

